.button {
	border: none;
	border-radius: 4px;
	font-size: 18px;
	padding: 3px 2px;

	button {
		padding: 0 17px;
		border-radius: 4px;
		text-transform: uppercase;
		font-weight: bold;
		height: 25px;
		letter-spacing: 1px;
		background: none;

		&:hover {
			cursor: pointer;
		}

		&:active, &:focus {
			outline: none;
		}

		&.big {
			padding: 0 48px;
		}
	}

	&.disabled {
		background: none !important;

		button {
			border: 2px solid #cecece !important;
			color: #cecece !important;
			box-shadow: inset 0 0 4px #333, inset 0 0 16px rgba(169, 169, 169, 0.68), 0 0 2px rgb(160, 160, 160) !important;
		}
	}

	&.blue {
		background: url('../../assets/images/btn-blue-glow.png') no-repeat;
		background-size: cover;

		button {
			border: 2px solid #81fbff;
			color: #81fbff;
			box-shadow: inset 0 0 4px #333, inset 0 0 16px rgba(129, 251, 255, 0.68), 0 0 2px rgb(129, 251, 255);

			&:hover {
				box-shadow: inset 0 0 4px #333, inset 0 0 16px rgb(129, 251, 255), 0 0 26px #81fbff;
			}

			&:active {
				box-shadow: inset 0 0 4px #333, inset 0 0 16px rgb(105, 204, 208), 0 0 26px #4d9396;
			}
		}
	}

	&.red {
		background: url('../../assets/images/btn-red-glow.png') no-repeat;
		background-size: cover;

		button {
			border: 2px solid #ffce81;
			color: #ffce81;
			box-shadow: inset 0 0 4px #333, inset 0 0 16px #ff9d8d, 0 0 20px #d48274;

			&:hover {
				box-shadow: inset 0 0 4px #333, inset 0 0 26px #ff725b, inset 0 0 28px #ff725b, 0 0 26px #fb6248, 0 0 26px #fb6248;
			}

			&:active {
				box-shadow: inset 0 0 4px #333, inset 0 0 26px #e76752, inset 0 0 28px #d55e4b, 0 0 26px #d3533d, 0 0 26px #fb6248;
			}
		}
	}
}